# Method: projects.locations.serviceConfig.initialize

- [HTTP request](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#body.aspect)
- [CloudSqlInstanceInitializationConfig](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#CloudSqlInstanceInitializationConfig)
  - [JSON representation](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#CloudSqlInstanceInitializationConfig.SCHEMA_REPRESENTATION)
- [Edition](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#Edition)
- [Try it!](https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#try-it)

Initializes the service related config for a project.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="me-central1">me-central1</button> <button value="me-central2">me-central2</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="northamerica-south1">northamerica-south1</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-central2">us-central2</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-east7">us-east7</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button> <button value="us">us</button> <button value="eu">eu</button>   
`POST https://backupdr.googleapis.com/v1/{name=projects/*/locations/*/serviceConfig}:initialize`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the serviceConfig used to initialize the service. The location must be the location of the BackupVault. Format: `projects/{projectId}/locations/{location}/serviceConfig`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resourceType": string, "requestId": string, "backupPlanLocation": string, "validateOnly": boolean, // Union field `initialization_config` can be only one of the following: "cloudSqlInstanceInitializationConfig": { object (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#CloudSqlInstanceInitializationConfig`) } // End of list of possible types for union field `initialization_config`. } ``` |

| Fields ||
|---|---|
| `resourceType` | `string` Required. The resource type to which the default service config will be applied. Examples include, "compute.googleapis.com/Instance" and "storage.googleapis.com/Bucket". |
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
| `backupPlanLocation` | `string` Optional. The location where the BackupPlan will be created. This field is required for multi-region BackupVaults and is optional for regional BackupVaults. It is useful when creating a Backup Vault in a multi-region, allowing the BackupPlan to reside in a specific region within that multi-region. If this field is not provided, the BackupPlan will be created in the same location as specified in the `name` field. |
| `validateOnly` | `boolean` Optional. If set, validates the request and returns the result, but does not actually run it. |
| Union field `initialization_config`. The configuration for initializing the resource. `initialization_config` can be only one of the following: ||
| `cloudSqlInstanceInitializationConfig` | ``object (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#CloudSqlInstanceInitializationConfig`)`` Optional. The configuration for initializing a Cloud SQL instance. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## CloudSqlInstanceInitializationConfig

CloudSqlInstanceInitializationConfig contains the configuration for initializing a Cloud SQL instance.

| JSON representation |
|---|
| ``` { "edition": enum (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#Edition`) } ``` |

| Fields ||
|---|---|
| `edition` | ``enum (`https://docs.cloud.google.com/backup-disaster-recovery/docs/reference/rest/v1/projects.locations.serviceConfig/initialize#Edition`)`` Required. The edition of the Cloud SQL instance. |

## Edition

The edition of the Cloud SQL instance. For details, see <https://cloud.google.com/sql/docs/editions-intro>.

| Enums ||
|---|---|
| `EDITION_UNSPECIFIED` | Unspecified edition. |
| `ENTERPRISE` | Enterprise edition. |
| `ENTERPRISE_PLUS` | Enterprise Plus edition. |